## AwnDBusWatcher AwnDBusWatcher |

## Functions

AwnDBusWatcher * | awn_dbus_watcher_get_default ()
gboolean | awn_dbus_watcher_has_name ()

## Signals

void | name-appeared | Has Details
void | name-disappeared | Has Details

## Object Hierarchy

        GObject
        ╰── AwnDBusWatcher

## Description

## Functions

### awn_dbus_watcher_get_default ()

    AwnDBusWatcher *
    awn_dbus_watcher_get_default (void);

### awn_dbus_watcher_has_name ()

    gboolean
    awn_dbus_watcher_has_name (AwnDBusWatcher *self,
                               const gchar *name);

## Types and Values

## Signal Details

### The `“name-appeared”` signal

    void
    user_function (AwnDBusWatcher *awndbuswatcher,
                   gchar          *arg1,
                   gpointer        user_data)

Flags: Has Details

### The `“name-disappeared”` signal

    void
    user_function (AwnDBusWatcher *awndbuswatcher,
                   gchar          *arg1,
                   gpointer        user_data)

Flags: Has Details